package com.yh.saas.plugin.base.entity;

import java.util.Date;

public class EOXTAppendixInfo extends EOBase {

    /**
     * 公司ID
     **/
    private String comp_id;
    /**
     * 单据ID
     **/
    private String bill_id;
    /**
     * 附件ID
     **/
    private String appendix_id;
    /**
     * 附件类别
     **/
    private String appendix_type;
    /**
     * 详细ID
     **/
    private String detail_id;
    /**
     * 附件名称
     **/
    private String appendix_name;
    /**
     * 附件路径
     **/
    private String appendix_path;
    /**
     * 上传日期
     **/
    private Date upload_date;
    /**
     * 上传人ID
     **/
    private String upload_user_id;
    /**
     * 上传人姓名
     **/
    private String upload_user_name;
    /**
     * 上传文件大小
     **/
    private String upload_file_size;
    /**
     * 文件来源标识
     **/
    private String file_source_flag;

    public EOXTAppendixInfo() {
    }

    public EOXTAppendixInfo(String comp_id, String bill_id, String appendix_id) {
        this.comp_id = comp_id;
        this.bill_id = bill_id;
        this.appendix_id = appendix_id;
    }

    /**
     * 取得公司ID
     *
     * @return 公司ID
     */
    public String getComp_id() {
        return this.comp_id;
    }

    /**
     * 设置公司ID
     *
     * @return 公司ID
     */
    public void setComp_id(String comp_id) {
        this.comp_id = comp_id;
    }

    /**
     * 取得单据ID
     *
     * @return 单据ID
     */
    public String getBill_id() {
        return this.bill_id;
    }

    /**
     * 设置单据ID
     *
     * @return 单据ID
     */
    public void setBill_id(String bill_id) {
        this.bill_id = bill_id;
    }

    /**
     * 取得附件ID
     *
     * @return 附件ID
     */
    public String getAppendix_id() {
        return this.appendix_id;
    }

    /**
     * 设置附件ID
     *
     * @return 附件ID
     */
    public void setAppendix_id(String appendix_id) {
        this.appendix_id = appendix_id;
    }

    /**
     * 取得附件类别
     *
     * @return 附件类别
     */
    public String getAppendix_type() {
        return this.appendix_type;
    }

    /**
     * 设置附件类别
     *
     * @return 附件类别
     */
    public void setAppendix_type(String appendix_type) {
        this.appendix_type = appendix_type;
    }

    /**
     * 取得详细ID
     *
     * @return 详细ID
     */
    public String getDetail_id() {
        return this.detail_id;
    }

    /**
     * 设置详细ID
     *
     * @return 详细ID
     */
    public void setDetail_id(String detail_id) {
        this.detail_id = detail_id;
    }

    /**
     * 取得附件名称
     *
     * @return 附件名称
     */
    public String getAppendix_name() {
        return this.appendix_name;
    }

    /**
     * 设置附件名称
     *
     * @return 附件名称
     */
    public void setAppendix_name(String appendix_name) {
        this.appendix_name = appendix_name;
    }

    /**
     * 取得附件路径
     *
     * @return 附件路径
     */
    public String getAppendix_path() {
        return this.appendix_path;
    }

    /**
     * 设置附件路径
     *
     * @return 附件路径
     */
    public void setAppendix_path(String appendix_path) {
        this.appendix_path = appendix_path;
    }

    /**
     * 取得上传日期
     *
     * @return 上传日期
     */
    public Date getUpload_date() {
        return this.upload_date;
    }

    /**
     * 设置上传日期
     *
     * @return 上传日期
     */
    public void setUpload_date(Date upload_date) {
        this.upload_date = upload_date;
    }

    /**
     * 取得上传人ID
     *
     * @return 上传人ID
     */
    public String getUpload_user_id() {
        return this.upload_user_id;
    }

    /**
     * 设置上传人ID
     *
     * @return 上传人ID
     */
    public void setUpload_user_id(String upload_user_id) {
        this.upload_user_id = upload_user_id;
    }

    /**
     * 取得上传人姓名
     *
     * @return 上传人姓名
     */
    public String getUpload_user_name() {
        return this.upload_user_name;
    }

    /**
     * 设置上传人姓名
     *
     * @return 上传人姓名
     */
    public void setUpload_user_name(String upload_user_name) {
        this.upload_user_name = upload_user_name;
    }

    /**
     * 取得上传文件大小
     *
     * @return 上传文件大小
     */
    public String getUpload_file_size() {
        return this.upload_file_size;
    }

    /**
     * 设置上传文件大小
     *
     * @return 上传文件大小
     */
    public void setUpload_file_size(String upload_file_size) {
        this.upload_file_size = upload_file_size;
    }

    /**
     * 取得文件来源标识
     *
     * @return 文件来源标识
     */
    public String getFile_source_flag() {
        return this.file_source_flag;
    }

    /**
     * 设置文件来源标识
     *
     * @return 文件来源标识
     */
    public void setFile_source_flag(String file_source_flag) {
        this.file_source_flag = file_source_flag;
    }


}